
package zoomagazin;
import javax.swing.JOptionPane;


public class Main {

    public static void main(String[] args) {
        try{
            ProductSpec s1 = new ProductSpec("Whiskas", 500,
                    new Manufacturer("Pedigree Pet Foods"),
                    new ProductType("Cat food"));
            Product p1 = new Product( 0, 5, 0.50, 0.40, s1 );

            ProductSpec s2 = new ProductSpec("Doggyfood", 500,
                    new Manufacturer("Teddy Ltd"),
                    new ProductType("Dog food"));
            Product p2 = new Product( 0, 5, 0.50, 0.40, s2 );
            //System.out.println( p.toString() );

            p1.addReview("My cat loves it!!! :)", "Teddy");
            p1.addReview("Alabala", "Az");

            Catalogue cat1 = new Catalogue();
            cat1.addProduct(p1);
			cat1.addProduct(p2);

            cat1.saveDataBase( "products" );

            Catalogue cat2 = new Catalogue();
            cat2.openDataBase( "products" );
            System.out.println( cat2.toString() );

/*
            UserManager um1 = new UserManager();
            um1.insertUser("Teddy", "teddypass", 1);
            um1.insertUser("Az", "mypass", 0);
			um1.insertUser("Pesho", "peshopass", 2);
            um1.saveDataBase("usermanager1");

            UserManager um2 = new UserManager();
            um2.openDataBase("usermanager1");
            System.out.println( um2.toString() );
*/
        }
        catch( ZooException ex ){
            logError(ex);
        }
    }

    public static void logError( Exception ex ){
        ex.printStackTrace();
        System.out.println();
        JOptionPane.showMessageDialog( null, ex.getMessage(),
        "Zoo Exception", JOptionPane.WARNING_MESSAGE );
    }

}
