
package zoomagazin;
import java.io.Serializable;


public class ProductType implements Serializable {
    private String name;

    public ProductType( String name ) throws ZooException{
        setName( name );
    }

    public void setName( String name ) throws ZooException{
        if( name == null || name.equals("") ) throw new ZooException("Empty ProductType Name");
        this.name = name;
    }

    public String getName(){
        return name;
    }

    public String toString(){
        return name;
    }

}
